Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.property
Class CompiletimeModel

    java.lang.Object
      de.grogra.xl.impl.property.CompiletimeModel

All Implemented Interfaces:
  CompiletimeModel

Direct Known Subclasses:
  PropertyCompiletime, PropertyCompiletimeModel

    public abstract class CompiletimeModel

extends java.lang.Object
implements CompiletimeModel

Nested Class Summary
`class` | `CompiletimeModel.PropertyImpl`

Nested classes/interfaces inherited from interface de.grogra.xl.property.CompiletimeModel
`CompiletimeModel.Property`

Constructor Summary
`CompiletimeModel(java.lang.String runtimeConstant)`

Method Summary
`CompiletimeModel.Property` | `getDirectProperty(Type<?> type, java.lang.String name)` Returns a direct property.
`protected CompiletimeModel.PropertyImpl` | `getDirectProperty(Type<?> type, java.lang.String name, java.lang.String id)`
`java.lang.String` | `getRuntimeName()` Defines the name of the corresponding `RuntimeModel`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompiletimeModel

    public CompiletimeModel(java.lang.String runtimeConstant)

Method Detail

### getDirectProperty

    public CompiletimeModel.Property getDirectProperty(Type<?> type,
                                                       java.lang.String name)

  Description copied from interface: `CompiletimeModel`
  Returns a direct property. This method returns the direct property named `fieldName` declared in `type`. If no such property exists, `null` is returned.

  Specified by:
    `getDirectProperty` in interface `CompiletimeModel`
  Parameters:
    `type` - the type in which the property is declared
    `name` - the name of the property
  Returns:
    the direct property, if any

### getDirectProperty

    protected CompiletimeModel.PropertyImpl getDirectProperty(Type<?> type,
                                                              java.lang.String name,
                                                              java.lang.String id)

### getRuntimeName

    public java.lang.String getRuntimeName()

  Description copied from interface: `CompiletimeModel`
  Defines the name of the corresponding `RuntimeModel`. This name is used during run-time in invocations of `RuntimeModelFactory.modelForName(java.lang.String, java.lang.ClassLoader)` in order to obtain the `RuntimeModel` suitable for the code that is compiled within this compile-time model.

  Specified by:
    `getRuntimeName` in interface `CompiletimeModel`
  Returns:
    the name of the corresponding run-time model

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD